#
# spec file for package rubygem-kgio
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-kgio
Version:        2.11.0
Release:        bp154.1.22
%define mod_name kgio
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://bogomips.org/kgio/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-kgio-rpmlintrc
Source2:        gem2rpm.yml
Summary:        kinder, gentler I/O for Ruby
License:        LGPL-2.1+
Group:          Development/Languages/Ruby

%description
kgio provides non-blocking I/O methods for Ruby without raising
exceptions on EAGAIN and EINPROGRESS.  It is intended for use with the
unicorn Rack server, but may be used by other applications (that run on
Unix-like platforms).

%prep

%build

%install
%gem_install \
  --doc-files="COPYING LICENSE NEWS README" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Sat Dec 17 2016 coolo@suse.com
- updated to version 2.11.0
  see installed NEWS
  === kgio 2.11.0 - reverting 2.10.0 breakage / 2016-12-16 22:56 UTC
    Mainly this release reverts back to kgio 2.9.3 behavior by
    supporting "autopush" functionality in the C extension.
    Removing this feature in 2.10.0 was a monumental mistake(*) on
    my part which caused a performance regression for ONE known user
    of kgio on the deprecated (but supported) Rainbows! server.
    This release does not affect known users outside of Rainbows!,
    but we may have unknown users, too.
    The attempt at a pure Ruby version of autopush had flaws and
    regressions in real-world testing, so that was abandoned.
    So yeah, kgio will be supported indefinitely even in the face
    of internal changes to MRI, but I strongly discourage its use
    for new projects.
    Users who only support Ruby 2.3 (and later) are encouraged to
    use `exception: false` with all *_nonblock methods.
    4 changes since 2.10.0:
    resurrect Kgio.autopush support in pure Ruby [REVERTED]
    reinstate the original (and dangerous) autopush in C
    TODO: update with Ruby 2.3 status
    test: increase test data sizes to fill socket buffers
    (*) - as was making this a separate project, at all
* Mon Sep  7 2015 coolo@suse.com
- updated to version 2.10.0
  see installed NEWS
  === kgio 2.10.0 - slimming down... / 2015-09-06 08:12 UTC
    The largely-unused autopush functionality is now a no-op.
    Existing applications will probably not notice, and are
    better off using MSG_MORE anyways if they're on Linux.
    Our poll(2) wrapper now uses rb_hash_clear if available,
    reducing global method cache dependence.
    shortlog of changes since 2.9.3:
    README: remove reference to Rainbows!
    writev: update comment on preserving errno
    poll: avoid rb_funcall for rb_hash_clear
    minor doc updates
    remove autopush support and make it a no-op
    HACKING: update URL for Message-ID lookup
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.9.3
* Wed Nov 12 2014 mrueckert@suse.de
- properly migrate to the new style
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Mar  3 2014 kkaempf@suse.com
- add rpmlintrc
* Sat Feb 22 2014 coolo@suse.com
- updated to version 2.9.2
    This release is for compatibility with future releases of mainline ruby,
    as rb_thread_blocking_region is removed in r44955 of ruby trunk
    This also avoids deprecation warnings fo rb_thread_blocking_region
    2.0 and 2.1.
* Thu Feb  6 2014 coolo@suse.com
- updated to version 2.9.1
  Thanks to Christopher Rigor for this release.
  Eric Wong (2):
    only define and test kgio_syssend on 1.9+
    various 1.8.7 fixes
  === kgio 2.9.0 - cleanups, bug fixes, minor improvements / 2014-02-04 03:09 UTC
  This adds a new kgio_syssend method for Ruby 1.9+ which behaves
  like BasicSocket#send, but will not raise exceptions on EAGAIN.
  Eric Wong (12):
    test_poll: remove race prone test_poll_EINTR_changed test
    tryopen: remove RARRAY_PTR usage in init
    read_write: remove the rest of RARRAY_PTR usage
    my_writev: stylistic fixes
    Rakefile: kill raa_update task
    avoid downsizing casts
    connect: constify RSTRING-related things
    set RSTRING_MODIFIED where appropriate for Rubinius
    split read_write.c into {read,write,writev}.c
    add kgio_syssend method to wrap send(2)
    write: correct check for various blocking regions
    tryopen: additional debug information for bad Errno values
  Hleb Valoshka (1):
    Don't use deprecated api
* Thu Feb  6 2014 coolo@suse.com
- use new macros
* Fri Sep 13 2013 coolo@suse.com
- updated to version 2.8.1, see Changelog
* Fri Jan 25 2013 coolo@suse.com
- updated to version 2.8.0
* Wed Aug  1 2012 coolo@suse.com
- updated to version 2.7.4
* Thu Jun 28 2012 cfarrell@suse.com
- license update: LGPL-2.1 or LGPL-3.0
  See http://bogomips.org/kgio/LICENSE.html
* Wed Aug 24 2011 mrueckert@suse.de
- update to version 2.6.0
  We now export SOCK_NONBLOCK, SOCK_CLOEXEC constants in the Kgio
  namespace to make kgio_tryaccept/kgio_accept easier-to-use.
  There are also some minor internal cleanups.
* Sat Jul  2 2011 ammler@openttdcoop.org
- initial gems version 2.5.0
